Bug 64693 - Does not have SASL support
Does not have SASL support
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 14:57 EDT by Juan Pablo Giménez
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-13 18:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Pablo Giménez 2002-05-09 14:57:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
rpm -qi postfix says,
  "Description : Postfix is a Mail Transport Agent (MTA), supporting LDAP, SMTP
AUTH (SASL), TLS and running in a chroot environment."
but SASL support is not compiled


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -qi postfix says "Description : Postfix is a Mail Transport Agent (MTA),
supporting ...SMTP AUTH (SASL)..."
2.ldd /usr/sbin/posfix says:
        libssl.so.2 => /lib/libssl.so.2 (0x4002c000)
        libcrypto.so.2 => /lib/libcrypto.so.2 (0x4005d000)
        libdb-3.3.so => /lib/libdb-3.3.so (0x40133000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x401c2000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x401d9000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x401ec000)
        libc.so.6 => /lib/libc.so.6 (0x401f3000)
        libdl.so.2 => /lib/libdl.so.2 (0x40329000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
no libsasl!
3.and postfix.spec have "%define SASL 0"


Additional info:
Comment 1 Juan Pablo Giménez 2002-05-13 18:20:05 EDT
put "%define SASL 1" in postfix.spec
and everything goes right...

Note You need to log in before you can comment on or make changes to this bug.